Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Tue, 13 Nov 2018 01:47:17 +0200

>> Since now finally we have persistence for window configurations,
>> I'm going to revive the x-tabs branch.  The package wincows.el
>> was needed for testing what will be the internal functionality
>> in the x-tabs branch.  And for the user interface it could use
>> what you implemented for displaying tabs in side windows in frame-tabs.el.
>> Would you allow using your code from frame-tabs.el in the x-tabs branch?
>
> Sure.  IIRC you used a menubar-like window to implement a tab-bar back
> then.  Does the "x" stand for X-only?  Would this limit us to X-based
> builds?

The x-tabs branch is for X-based builds, and the gtk-tabs branch
that Jan implemented is for GTK-based builds.  Both are for the
frame-local tab-bars and can't be used for window-local tab-bars.
Do you know a solution for window-local tab-bars other than
duplicating header-line in each window to provide shelter for tab-bars?